Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/os_signal.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_types.h"`
`#include "ace/os_include/os_time.h"`
`#include "ace/os_include/os_ucontext.h"`

Include dependency graph for os_signal.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | SA_SIGINFO 0
#define | SA_RESTART 0
#define | SIGHUP 0
#define | SIGINT 0
#define | SIGSEGV 0
#define | SIGIO 0
#define | SIGUSR1 0
#define | SIGUSR2 0
#define | SIGCHLD 0
#define | SIGCLD SIGCHLD
#define | SIGQUIT 0
#define | SIGPIPE 0
#define | SIGALRM 0
#define | SIG_DFL ((__sighandler_t) 0)
#define | SIG_IGN ((__sighandler_t) 1)
#define | SIG_ERR ((__sighandler_t) -1)
#define | ACE_SIGIO -1
#define | ACE_SIGURG -2
#define | ACE_CLOEXEC -3
#define | ACE_NSIG NSIG
#define | ACE_SIGRTMIN 0
#define | ACE_SIGRTMAX 0
## Typedefs
typedef int | sig_atomic_t
typedef void(__cdecl * | ACE_SignalHandler )(int)
typedef void(__cdecl * | ACE_SignalHandlerV )(int)
## Functions
int | sigwait (sigset_t *set)
int | pthread_sigmask (int, const sigset_t *, sigset_t *)

## Detailed Description

signals

Id:
  os_signal.h,v 1.10 2003/12/09 15:25:41 elliott_c Exp

Author:
  Don Hinton <dhinton@dresystems.com> , This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_CLOEXEC -3

#define ACE_NSIG NSIG

#define ACE_SIGIO -1

#define ACE_SIGRTMAX 0

#define ACE_SIGRTMIN 0

#define ACE_SIGURG -2

#define SA_RESTART 0

#define SA_SIGINFO 0

#define SIG_DFL ((__sighandler_t) 0)

#define SIG_ERR ((__sighandler_t) -1)

#define SIG_IGN ((__sighandler_t) 1)

#define SIGALRM 0

#define SIGCHLD 0

#define SIGCLD SIGCHLD

#define SIGHUP 0

#define SIGINT 0

#define SIGIO 0

#define SIGPIPE 0

#define SIGQUIT 0

#define SIGSEGV 0

#define SIGUSR1 0

#define SIGUSR2 0

## Typedef Documentation

typedef void(__cdecl * ACE_SignalHandler)(int)

typedef void(__cdecl * ACE_SignalHandlerV)(int)

typedef int sig_atomic_t

## Function Documentation

int pthread_sigmask | ( | int | ,
|  | const sigset_t * | ,
|  | sigset_t * |
| ) |

int sigwait | ( | sigset_t * | set | ) |